Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deNet.hpp File Reference

Destiny3D networking system main header. More...

`#include "deGlobalTypes.hpp"`

Include dependency graph for deNet.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds
struct | deConnectionDisconnect
struct | deConnectionHandshake
struct | deConnectionLost
struct | deConnectionPing
struct | deConnectionReply
struct | deConnectionRequest
struct | deConnectionServerTime
## Defines
#define | DENET_API _declspec(dllimport)
#define | _WINSOCKAPI_
#define | SAFE_DELETE(p) { if(p) { delete (p); (p)=NULL; } }
#define | SAFE_DELETE_ARRAY(p) { if(p) { delete[] (p); (p)=NULL; } }
#define | SAFE_RELEASE(p) { if(p) { (p)->Release(); (p)=NULL; } }
#define | NULL 0
#define | DN_NONE 0x0000
#define | DN_DEFAULT_PORT 3490
#define | DN_INVALID_NETID (DWORD)(-1)
#define | deASSERT
#define | NET_ERROR(a) 0L
#define | NET_MSG(a) 0L
#define | NET_LOG_START() 0L
#define | NET_LOG_STOP() 0L
#define | NET_LOG(a) 0L
#define | NET_LOG_ERROR(a) 0L
## Typedefs
typedef __int64 | INT64
typedef unsigned char | BYTE
typedef unsigned long | DWORD
typedef unsigned short | WORD
typedef long | HRESULT
typedef unsigned int | WPARAM
typedef long | LPARAM
typedef long | LRESULT
typedef DWORD | hNetUser
typedef enum eNetError | eNetError
typedef _iobuf | FILE
## Enumerations
enum | eNetError { CODE_GENERIC_ERROR = -9999, CODE_INVALID_PARAM, CODE_UNSUPPORTED_VERSION, CODE_WINSOCK_ERROR, CODE_TOO_MANY_CONNECTIONS, CODE_CONNECTION_REFUSED, CODE_INVALID_CONNECTION, CODE_MASTER_SERVER_MUST_ASSIGN_NET_ID, CODE_UNABLE_TO_CREATE_CONNECTION, CODE_RESOURCE_ERROR, CODE_NOT_SUPPORTED_BY_OBJECT, CODE_INVALID_NET_ID, CODE_OK = 0 }
## Functions
class | _declspec (dllimport) deNetAddress
const char * | deNetErrorStr (eNetError err, const char *pFile=0, int iLine=-1)
void | deNetDlg (const char *pStr)
void | deNetLog (const char *pStr)
void | deNetLogStart (FILE *pFile=0)
void | deNetLogStop (void)
## Variables
| deNetAddress
* | pdeNetAddress
int | iType
int DWORD | dwFlags = 0 )
DWORD | iMaxConnectionBins
DWORD DWORD | dwPort = 3490

## Detailed Description

Destiny3D networking system main header.

Author:
  trajar

This file is the intellectual property of Novus Delta, LLC.. Usage of the contents of this file is subject to the Destiny3D Member License which can be found at http://www.destiny3d.com. Any other usage is prohibited.

This file is distributed "AS IS" without warranty of any kind. Novus Delta, LLC. does not guarantee the fitness of the contents of this file for any particular purpose.

Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.

Change History

Date:
  Jun 2002

Author:
  trajar

Remarks:
  Creation

## Define Documentation

#define _WINSOCKAPI_

#define deASSERT

#define DENET_API _declspec(dllimport)

#define DN_DEFAULT_PORT 3490

#define DN_INVALID_NETID (DWORD)(-1)

#define DN_NONE 0x0000

#define NET_ERROR | ( | a |  | ) | 0L

#define NET_LOG | ( | a |  | ) | 0L

#define NET_LOG_ERROR | ( | a |  | ) | 0L

#define NET_LOG_START | (
|  | ) | 0L

#define NET_LOG_STOP | (
|  | ) | 0L

#define NET_MSG | ( | a |  | ) | 0L

#define NULL 0

#define SAFE_DELETE | ( | p |  | ) | { if(p) { delete (p); (p)=NULL; } }

#define SAFE_DELETE_ARRAY | ( | p |  | ) | { if(p) { delete[] (p); (p)=NULL; } }

#define SAFE_RELEASE | ( | p |  | ) | { if(p) { (p)->Release(); (p)=NULL; } }

## Typedef Documentation

typedef unsigned char BYTE

typedef unsigned long DWORD

typedef enum eNetError eNetError

typedef _iobuf FILE

typedef DWORD hNetUser

typedef long HRESULT

typedef __int64 INT64

typedef long LPARAM

typedef long LRESULT

typedef unsigned short WORD

typedef unsigned int WPARAM

## Enumeration Type Documentation

enum eNetError

  | Enumeration values:
  CODE_GENERIC_ERROR |
  CODE_INVALID_PARAM |
  CODE_UNSUPPORTED_VERSION |
  CODE_WINSOCK_ERROR |
  CODE_TOO_MANY_CONNECTIONS |
  CODE_CONNECTION_REFUSED |
  CODE_INVALID_CONNECTION |
  CODE_MASTER_SERVER_MUST_ASSIGN_NET_ID |
  CODE_UNABLE_TO_CREATE_CONNECTION |
  CODE_RESOURCE_ERROR |
  CODE_NOT_SUPPORTED_BY_OBJECT |
  CODE_INVALID_NET_ID |
  CODE_OK |

## Function Documentation

class _declspec | ( | dllimport |  | ) |

void deNetDlg | ( | const char * | pStr | ) |

const char* deNetErrorStr | ( | eNetError | err,
|  | const char * | pFile = 0,
|  | int | iLine = -1
| ) |

void deNetLog | ( | const char * | pStr | ) |

void deNetLogStart | ( | FILE * | pFile = 0 | ) |

void deNetLogStop | ( | void |  | ) |

## Variable Documentation

deNetAddress

DWORD DWORD DWORD dwFlags = 0 )

DWORD DWORD dwPort = 3490

DWORD iMaxConnectionBins

int iType

* pdeNetAddress